PortAudio 2.0

Data Fields
PaMacCoreStreamInfo Struct Reference

`#include <pa_mac_core.h>`

## Data Fields
unsigned long | size
PaHostApiTypeId | hostApiType
unsigned long | version
unsigned long | flags
SInt32 const * | channelMap
unsigned long | channelMapSize

## Detailed Description

A pointer to a paMacCoreStreamInfo may be passed as the hostApiSpecificStreamInfo in the PaStreamParameters struct when opening a stream or querying the format. Use NULL, for the defaults. Note that for duplex streams, flags for input and output should be the same or behaviour is undefined.

Definition at line 63 of file pa_mac_core.h.

## Field Documentation

## ◆ channelMap

SInt32 const* PaMacCoreStreamInfo::channelMap

flags to modify behaviour

Definition at line 69 of file pa_mac_core.h.

## ◆ channelMapSize

unsigned long PaMacCoreStreamInfo::channelMapSize

Channel map for HAL channel mapping , if not needed, use NULL;

Definition at line 70 of file pa_mac_core.h.

## ◆ flags

unsigned long PaMacCoreStreamInfo::flags

structure version

Definition at line 68 of file pa_mac_core.h.

## ◆ hostApiType

PaHostApiTypeId PaMacCoreStreamInfo::hostApiType

size of whole structure including this header

Definition at line 66 of file pa_mac_core.h.

## ◆ size

unsigned long PaMacCoreStreamInfo::size

Definition at line 65 of file pa_mac_core.h.

## ◆ version

unsigned long PaMacCoreStreamInfo::version

host API for which this data is intended

Definition at line 67 of file pa_mac_core.h.

The documentation for this struct was generated from the following file:

- pa_mac_core.h